Forms

Because of the new Adobe forms technology, it is highly recommended that Internet Explorer 11 or later is used for accessing PDF forms whenever possible. If you must use Chrome or Firefox, please follow the instructions listed below.

Adobe PDF Viewer

PDF forms require an Adobe PDF Viewer browser plug-in. The latest versions of Chrome and Firefox do not support this technology by default. Some additional configurations need to be made to these browsers in order for them to work properly. Depending on your version of Chrome or Firefox, the instructions may vary slightly. When possible, use Internet Explorer 11 or higher. Microsoft Edge is not recommended or supported. In any case, Adobe Reader needs to be installed on your machine. After Adobe Reader is installed, proceed with the instructions below for your specific browser.

Chrome

Replace the Chrome built in PDF viewer so that you can open, view, and save PDF's without issues.

  • Type into the address window of Chrome browser: chrome://settings/content
  • Scroll down and click on PDF documents
  • Slide the slider to the right next to Open PDFs using a different application
  • Click on a form number hyperlink
  • Click on the up arrow on the pdf download box in lower left corner of screen
  • Choose Always open in Adobe Reader
Firefox

Trying to open PDFs in Firefox could result in an error message that states "This PDF document contains forms. The filling of form fields is not supported."

To get the form to open in Adobe, you need to do the following:

  • Open Firefox
  • Click the Tools menu button
  • Click Options and select Applications
  • Find Portable Document Format (PDF) in the Content Type column
  • In the Action column, change it to Use Adobe Acrobat

Oilseed Council - Public Form(s)

SFNTitleSizeDateFillable
50990 CHECK-OFF REMITTANCE REPORT 436 kb 06/20/2012 Y
51391 APPLICATION FOR "FIRST PURCHASER" CERTIFICATE 896 kb 06/14/2017 Y